<?php 
include "clases/conexion.class.php";
include "clases/generos.class.php";

//Creamos y abrimos la conexión
$miconexion = new conexion("manga");
$miconexion->abrir();





 ?>

<!doctype html>
<html lang="es">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<!-- Font Awesone -->
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.13/css/all.css" integrity="sha384-DNOHZ68U8hZfKXOrtjWvjxusGo9WQnrNx2sqG0tfsghAvtVlRW3tvkXWZh58N9jp" crossorigin="anonymous">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="css/estilos.css">
	
    <title>Mapear objetos de BBDD htdocs</title>
  </head>
  <body>
    
  <div class="container-fluid">
	<div class="row bg-primary text-white p-5 shadow">
		<h1 class="col-12">Mapear objetos de BBDD</h1>

	</div>	
  
    <div class="row">

		<div class="col">
		
		<ul>
		<?php
		//Creamos el objeto géneros
		$migenero = new generos($miconexion->conn);
		$todoslosgeneros = $migenero->getAll();
		//$todoslosgeneros
		for ($i=0; $i<count($todoslosgeneros);$i++) {
			echo "<li>".$todoslosgeneros[$i]['genero']."</li>";
		}
		?>
		
		</ul>
		<hr>
		<h2>Ejercicio: Recuperar el valor del genero con id=1</h2>
		<?php
			$migenero->id = 9;
			$valorgenero = $migenero->getById();
			print_r($valorgenero);
		echo "<hr>";	
		
		?>
		
		<h2>Ejercicio: Recuperar los generos con un filtro</h2>
		<?php
			
			$generosqueempìecencons = $migenero->getByFilter("genero like 's%'");
			print_r($generosqueempìecencons);
		
		
		
		echo "<hr>";	
		
	echo "<h2>Insertar: genero = desconocido, descripcion = no lo se</h2>";
	$migenero -> id = "";
	$migenero -> genero = "Desconocido";
	$migenero -> descripcion = "No lo se";

	$id = $migenero -> addGenero();
	echo $id;	
    echo "<hr>";	
		

	echo "<h2>Modificar género con id=6, genero = Revistas , descripcion = Artículos de kiosko</h2>";
	$migenero -> id = 6;
	$migenero -> genero = "Revistas";
	$migenero -> descripcion = "Artículos de kiosko";

	$id = $migenero -> updateGenero();
		
    echo "<hr>";	
	
	
	echo "<h2>Borrar género con id=21</h2>";
	$migenero -> id = 21;
	
	$id = $migenero -> deleteGenero();
		
    echo "<hr>";
		
		
		?>
		
		</div>
	
	</div>	
	

	
	
	</div>	
	
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
   <script src="js/jquery-3.3.1.js"></script>
    <!-- bundle incluye popper.js -->
   <script src="js/bootstrap.bundle.js"></script>
   <script src="js/miscript.js"></script>
   
   
   <?php 
		$miconexion->cerrar();
	?>

  </body>
</html>